Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.v200403
Class Relationship

    java.lang.Object
      org.apache.cxf.ws.addressing.v200403.Relationship

    public class Relationship

extends Object

Java class for Relationship complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Relationship">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>anyURI">
           <attribute name="RelationshipType" type="{http://www.w3.org/2001/XMLSchema}QName" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected QName` | `relationshipType`
`protected String` | `value`

Constructor Summary
`Relationship()`

Method Summary
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`QName` | `getRelationshipType()` Gets the value of the relationshipType property.
`String` | `getValue()` Gets the value of the value property.
`void` | `setRelationshipType(QName value)` Sets the value of the relationshipType property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected String value

### relationshipType

    protected QName relationshipType

Constructor Detail

### Relationship

    public Relationship()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getRelationshipType

    public QName getRelationshipType()

  Gets the value of the relationshipType property.

  Returns:
    possible object is `QName`

### setRelationshipType

    public void setRelationshipType(QName value)

  Sets the value of the relationshipType property.

  Parameters:
    `value` - allowed object is `QName`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF